<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"/>
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_1"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_2"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_4"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit_5"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_6"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_7"/>
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2024-03-27/full_ifrs/full_ifrs-cor_2024-03-27.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_8"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant" xlink:label="loc_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_9"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant" xlink:label="loc_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_10"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_11"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_12"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForDepreciationRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_13"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForInterestRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForInterestRightOfUseAssets_14"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForInterestRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForInterestRightOfUseAssets_15"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentForInterestRightOfUseAssets" xlink:label="loc_thpa_AdjustmentForInterestRightOfUseAssets_16"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentGainForUnusedProvisions" xlink:label="loc_thpa_AdjustmentGainForUnusedProvisions_17"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentGainForUnusedProvisions" xlink:label="loc_thpa_AdjustmentGainForUnusedProvisions_18"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentGainForUnusedProvisions" xlink:label="loc_thpa_AdjustmentGainForUnusedProvisions_19"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_AdjustmentGainForUnusedProvisions" xlink:label="loc_thpa_AdjustmentGainForUnusedProvisions_20"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_DisclosureOfDistributionCosts" xlink:label="loc_thpa_DisclosureOfDistributionCosts_21"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_DisclosureOfDistributionCosts" xlink:label="loc_thpa_DisclosureOfDistributionCosts_22"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_Ebitda" xlink:label="loc_thpa_Ebitda_23"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_Ebitda" xlink:label="loc_thpa_Ebitda_24"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_NonTaxReserveMember" xlink:label="loc_thpa_NonTaxReserveMember_25"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_NonTaxReserveMember" xlink:label="loc_thpa_NonTaxReserveMember_26"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_27"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_28"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_29"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_30"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_TotalReservesMember" xlink:label="loc_thpa_TotalReservesMember_31"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_TotalReservesMember" xlink:label="loc_thpa_TotalReservesMember_32"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_TransferFromRetainedEarningsToReserves" xlink:label="loc_thpa_TransferFromRetainedEarningsToReserves_33"/>
    <loc xlink:type="locator" xlink:href="213800ETW48B6KOWZA42-2025-12-31.xsd#thpa_TransferFromRetainedEarningsToReserves" xlink:label="loc_thpa_TransferFromRetainedEarningsToReserves_34"/>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_0" xml:lang="en">Adjustments for gains (losses) on fair value adjustment, investment property</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xml:lang="en">Cash flows from (used in) financing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xml:lang="en">Cash flows from (used in) investing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xml:lang="en">Net cash flow from operational activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_GrossProfit_0" xml:lang="en">Total Gross Profit</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_0" xml:lang="en">Income taxes paid (refund), classified as operating activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xml:lang="en">Increase (decrease) in cash and cash equivalents</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_0" xml:lang="en">Payments of lease liabilities, classified as financing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_0" xml:lang="en">Adjustment for depreciation of assets acquired with government grant</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_1" xml:lang="en">Adjustment For Depreciation Of Assets Acquired With Government Grant</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_AdjustmentForDepreciationRightOfUseAssets_0" xml:lang="en">Represent amount of depreciation right of use assets.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_AdjustmentForDepreciationRightOfUseAssets_1" xml:lang="en">Adjustment For Depreciation Right Of Use Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:label="lab_thpa_AdjustmentForDepreciationRightOfUseAssets_2" xml:lang="en">Depreciations right of use assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_AdjustmentForInterestRightOfUseAssets_0" xml:lang="en">Represent amount of Financial costs from lease liabilities.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_AdjustmentForInterestRightOfUseAssets_1" xml:lang="en">Adjustment For Interest Right Of Use Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:label="lab_thpa_AdjustmentForInterestRightOfUseAssets_2" xml:lang="en">Financial costs from lease liabilities.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_AdjustmentGainForUnusedProvisions_0" xml:lang="en">Represent amount of Income from non utilized provisions.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_thpa_AdjustmentGainForUnusedProvisions_1" xml:lang="en">Income from non utilized provisions</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_AdjustmentGainForUnusedProvisions_2" xml:lang="en">Adjustment Gain For Unused Provisions</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:label="lab_thpa_AdjustmentGainForUnusedProvisions_3" xml:lang="en">Income from non utilized provisions</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_DisclosureOfDistributionCosts_0" xml:lang="en">The entire disclosure of distribution costs.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_DisclosureOfDistributionCosts_1" xml:lang="en">Disclosure Of Distribution Costs</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_Ebitda_0" xml:lang="en">Earnings Before Interest Taxes Depreciation and Amortization</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_Ebitda_1" xml:lang="en">Ebitda</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_NonTaxReserveMember_0" xml:lang="en">Non Tax Reserve</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_NonTaxReserveMember_1" xml:lang="en">Non Tax Reserve [Member]</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_0" xml:lang="en">Proceeds from sales of property plant and equipment and intangible assets classified as investing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_1" xml:lang="en">Εισπράξεις από πωλήσεις ενσώματων και άυλων παγίων που κατατάσσονται ως επενδυτικές δραστηριότητες</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_0" xml:lang="en">Purchase of property plant and equipment and intangible assets classified as investing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_1" xml:lang="en">Purchase Of Property Plant And Equipment And Intangible Assets Classified As Investing Activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_TotalReservesMember_0" xml:lang="en">Total Reserves</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_TotalReservesMember_1" xml:lang="en">Total Reserves [Member]</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_thpa_TransferFromRetainedEarningsToReserves_0" xml:lang="en">Transfer from retained earnings to reserves</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_thpa_TransferFromRetainedEarningsToReserves_1" xml:lang="en">Transfer From Retained Earnings To Reserves</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_1" xlink:to="lab_ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_2" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_4" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit_5" xlink:to="lab_ifrs-full_GrossProfit_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_6" xlink:to="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_7" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_8" xlink:to="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_9" xlink:to="lab_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_10" xlink:to="lab_thpa_AdjustmentForDepreciationOfAssetsAcquiredWithGovernmentGrant_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_11" xlink:to="lab_thpa_AdjustmentForDepreciationRightOfUseAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_12" xlink:to="lab_thpa_AdjustmentForDepreciationRightOfUseAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForDepreciationRightOfUseAssets_13" xlink:to="lab_thpa_AdjustmentForDepreciationRightOfUseAssets_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForInterestRightOfUseAssets_14" xlink:to="lab_thpa_AdjustmentForInterestRightOfUseAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForInterestRightOfUseAssets_15" xlink:to="lab_thpa_AdjustmentForInterestRightOfUseAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentForInterestRightOfUseAssets_16" xlink:to="lab_thpa_AdjustmentForInterestRightOfUseAssets_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentGainForUnusedProvisions_17" xlink:to="lab_thpa_AdjustmentGainForUnusedProvisions_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentGainForUnusedProvisions_18" xlink:to="lab_thpa_AdjustmentGainForUnusedProvisions_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentGainForUnusedProvisions_19" xlink:to="lab_thpa_AdjustmentGainForUnusedProvisions_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_AdjustmentGainForUnusedProvisions_20" xlink:to="lab_thpa_AdjustmentGainForUnusedProvisions_3"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_DisclosureOfDistributionCosts_21" xlink:to="lab_thpa_DisclosureOfDistributionCosts_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_DisclosureOfDistributionCosts_22" xlink:to="lab_thpa_DisclosureOfDistributionCosts_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_Ebitda_23" xlink:to="lab_thpa_Ebitda_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_Ebitda_24" xlink:to="lab_thpa_Ebitda_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_NonTaxReserveMember_25" xlink:to="lab_thpa_NonTaxReserveMember_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_NonTaxReserveMember_26" xlink:to="lab_thpa_NonTaxReserveMember_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_27" xlink:to="lab_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_28" xlink:to="lab_thpa_ProceedsFromSalesOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_29" xlink:to="lab_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_30" xlink:to="lab_thpa_PurchaseOfPropertyPlantAndEquipmentAndIntangibleAssetsClassifiedAsInvestingActivities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_TotalReservesMember_31" xlink:to="lab_thpa_TotalReservesMember_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_TotalReservesMember_32" xlink:to="lab_thpa_TotalReservesMember_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_TransferFromRetainedEarningsToReserves_33" xlink:to="lab_thpa_TransferFromRetainedEarningsToReserves_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_thpa_TransferFromRetainedEarningsToReserves_34" xlink:to="lab_thpa_TransferFromRetainedEarningsToReserves_1"/>
  </labelLink>
</linkbase>